Delen via


Node Pools - Create Or Update

Maak een NodePool aan

PUT https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Discovery/supercomputers/{supercomputerName}/nodePools/{nodePoolName}?api-version=2026-02-01-preview

URI-parameters

Name In Vereist Type Description
nodePoolName
path True

string

pattern: ^[a-zA-Z0-9-]{3,24}$

De naam van de NodePool

resourceGroupName
path True

string

minLength: 1
maxLength: 90

De naam van de resourcegroep. De naam is hoofdletterongevoelig.

subscriptionId
path True

string (uuid)

De id van het doelabonnement. De waarde moet een UUID zijn.

supercomputerName
path True

string

pattern: ^[a-zA-Z0-9-]{3,24}$

De naam van de Supercomputer

api-version
query True

string

minLength: 1

De API-versie die voor deze bewerking moet worden gebruikt.

Aanvraagbody

Name Vereist Type Description
location True

string

De geografische locatie waar de resource zich bevindt

properties

NodePoolProperties

De resourcespecifieke eigenschappen voor deze resource.

tags

object

Resourcetags.

Antwoorden

Name Type Description
200 OK

NodePool

De updateoperatie van de resource 'NodePool' is geslaagd

201 Created

NodePool

Resource 'NodePool' aanmaakoperatie geslaagd

Kopteksten

  • Azure-AsyncOperation: string
  • Retry-After: integer
Other Status Codes

ErrorResponse

Een onverwachte foutreactie.

Beveiliging

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Stroom: implicit
Autorisatie-URL: https://login.microsoftonline.com/common/oauth2/authorize

Bereiken

Name Description
user_impersonation Uw gebruikersaccount imiteren

Voorbeelden

NodePools_CreateOrUpdate_MaximumSet

Voorbeeldaanvraag

PUT https://management.azure.com/subscriptions/C058B75F-64D2-4E9D-8B66-65339DCB22C7/resourceGroups/rgdiscovery/providers/Microsoft.Discovery/supercomputers/8074da5c77f95509a8/nodePools/5a88c24ec4e7091650?api-version=2026-02-01-preview

{
  "properties": {
    "subnetId": "/subscriptions/31735C59-6307-4464-8B80-3675223F23D2/providers/Microsoft.Network/virtualNetworks/virtualnetwork1/subnets/subnet1",
    "vmSize": "Standard_NC24ads_A100_v4",
    "maxNodeCount": 4,
    "minNodeCount": 0,
    "scaleSetPriority": "Regular"
  },
  "tags": {
    "key6074": "qlnvwgazrqmwauqqvxntjtoye"
  },
  "location": "uksouth"
}

Voorbeeldrespons

{
  "id": "/subscriptions/C058B75F-64D2-4E9D-8B66-65339DCB22C7/resourceGroups/rgdiscovery/providers/Microsoft.Discovery/supercomputers/8074da5c77f95509a8/nodePools/5a88c24ec4e7091650",
  "name": "5a88c24ec4e7091650",
  "tags": {
    "key6074": "qlnvwgazrqmwauqqvxntjtoye"
  },
  "location": "uksouth",
  "type": "Microsoft.Discovery/supercomputers/nodePools",
  "systemData": {
    "createdBy": "ly",
    "createdByType": "User",
    "createdAt": "2026-02-10T17:26:12.585Z",
    "lastModifiedBy": "xxc",
    "lastModifiedByType": "User",
    "lastModifiedAt": "2026-02-10T17:26:12.586Z"
  },
  "properties": {
    "provisioningState": "Succeeded",
    "subnetId": "/subscriptions/31735C59-6307-4464-8B80-3675223F23D2/providers/Microsoft.Network/virtualNetworks/virtualnetwork1/subnets/subnet1",
    "vmSize": "Standard_NC24ads_A100_v4",
    "maxNodeCount": 4,
    "minNodeCount": 0,
    "scaleSetPriority": "Regular"
  }
}
Azure-AsyncOperation: https://contoso.com/operationstatus
Retry-After: 10
{
  "id": "/subscriptions/C058B75F-64D2-4E9D-8B66-65339DCB22C7/resourceGroups/rgdiscovery/providers/Microsoft.Discovery/supercomputers/8074da5c77f95509a8/nodePools/5a88c24ec4e7091650",
  "name": "5a88c24ec4e7091650",
  "tags": {
    "key6074": "qlnvwgazrqmwauqqvxntjtoye"
  },
  "location": "uksouth",
  "type": "Microsoft.Discovery/supercomputers/nodePools",
  "systemData": {
    "createdBy": "ly",
    "createdByType": "User",
    "createdAt": "2026-02-10T17:26:12.585Z",
    "lastModifiedBy": "xxc",
    "lastModifiedByType": "User",
    "lastModifiedAt": "2026-02-10T17:26:12.586Z"
  },
  "properties": {
    "provisioningState": "Succeeded",
    "subnetId": "/subscriptions/31735C59-6307-4464-8B80-3675223F23D2/providers/Microsoft.Network/virtualNetworks/virtualnetwork1/subnets/subnet1",
    "vmSize": "Standard_NC24ads_A100_v4",
    "maxNodeCount": 4,
    "minNodeCount": 0,
    "scaleSetPriority": "Regular"
  }
}

Definities

Name Description
createdByType

Het type identiteit waarmee de resource is gemaakt.

ErrorAdditionalInfo

Aanvullende informatie over de resourcebeheerfout.

ErrorDetail

De foutdetails.

ErrorResponse

Foutreactie

NodePool

NodePool gevolgde bron

NodePoolProperties

NodePool-eigenschappen

ProvisioningState

De inrichtingsstatus van de resource.

ScaleSetPriority

Ondersteunde Virtual Machine Scale Set prioriteiten.

systemData

Metagegevens met betrekking tot het maken en de laatste wijziging van de resource.

VmSize

Ondersteunde Azure VM-groottes.

createdByType

Het type identiteit waarmee de resource is gemaakt.

Waarde Description
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

Aanvullende informatie over de resourcebeheerfout.

Name Type Description
info

object

De aanvullende informatie.

type

string

Het extra informatietype.

ErrorDetail

De foutdetails.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

De fout bevat aanvullende informatie.

code

string

De foutcode.

details

ErrorDetail[]

De foutdetails.

message

string

Het foutbericht.

target

string

Het foutdoelwit.

ErrorResponse

Foutreactie

Name Type Description
error

ErrorDetail

Het foutobject.

NodePool

NodePool gevolgde bron

Name Type Description
id

string (arm-id)

Volledig gekwalificeerde resource-id voor de resource. Bijvoorbeeld /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceType}/{resourceName}"

location

string

De geografische locatie waar de resource zich bevindt

name

string

De naam van de resource

properties

NodePoolProperties

De resourcespecifieke eigenschappen voor deze resource.

systemData

systemData

Azure Resource Manager metadata met creationBy en modifiedBy informatie.

tags

object

Resourcetags.

type

string

Het type bron. Bijvoorbeeld: "Microsoft. Compute/virtualMachines" of "Microsoft. Opslag/opslagAccounts"

NodePoolProperties

NodePool-eigenschappen

Name Type Default value Description
maxNodeCount

integer (int32)

minimum: 1

Het maximale aantal knooppunten.

minNodeCount

integer (int32)

minimum: 0
0

Het minimale aantal knooppunten.

provisioningState

ProvisioningState

De status van de laatste bewerking.

scaleSetPriority

ScaleSetPriority

Regular

De prioriteit van de virtuele-machineschaalset. Als dit niet is opgegeven, is de standaardwaarde 'Normaal'.

subnetId

string (arm-id)

Het nodepool-subnet.

vmSize

VmSize

De grootte van de onderliggende Azure VM.

ProvisioningState

De inrichtingsstatus van de resource.

Waarde Description
Succeeded

Er is een bron gemaakt.

Failed

Het maken van bronnen is mislukt.

Canceled

Het maken van grondstoffen is geannuleerd.

Accepted

De aanvraag voor het maken van een resource is geaccepteerd

Provisioning

De resource wordt ingericht

Updating

De bron wordt bijgewerkt

Deleting

De resource wordt verwijderd

ScaleSetPriority

Ondersteunde Virtual Machine Scale Set prioriteiten.

Waarde Description
Regular

Reguliere prioriteit Virtual Machine Scale Set.

Spot

Spotprioriteit Virtual Machine Scale Set.

systemData

Metagegevens met betrekking tot het maken en de laatste wijziging van de resource.

Name Type Description
createdAt

string (date-time)

De tijdstempel van het maken van resources (UTC).

createdBy

string

De identiteit waarmee de resource is gemaakt.

createdByType

createdByType

Het type identiteit waarmee de resource is gemaakt.

lastModifiedAt

string (date-time)

Het tijdstempel van de laatste wijziging van de resource (UTC)

lastModifiedBy

string

De identiteit die de resource voor het laatst heeft gewijzigd.

lastModifiedByType

createdByType

Het type identiteit dat de resource voor het laatst heeft gewijzigd.

VmSize

Ondersteunde Azure VM-groottes.

Waarde Description
Standard_NC24ads_A100_v4

Standard_NC24ads_A100_v4 GPU-geoptimaliseerde Azure VM-grootte

Standard_NC48ads_A100_v4

Standard_NC48ads_A100_v4 GPU-geoptimaliseerde VM-grootte Azure

Standard_NC96ads_A100_v4

Standard_NC96ads_A100_v4 GPU-geoptimaliseerde VM-grootte Azure

Standard_NC4as_T4_v3

Standard_NC4as_T4_v3 GPU-geoptimaliseerde VM-grootte Azure

Standard_NC8as_T4_v3

Standard_NC8as_T4_v3 GPU-geoptimaliseerde VM-grootte Azure

Standard_NC16as_T4_v3

Standard_NC16as_T4_v3 GPU-geoptimaliseerde VM-grootte Azure

Standard_NC64as_T4_v3

Standard_NC64as_T4_v3 GPU-geoptimaliseerde Azure VM-grootte

Standard_NV6ads_A10_v5

Standard_NV6ads_A10_v5 GPU-geoptimaliseerde Azure VM-grootte

Standard_NV12ads_A10_v5

Standard_NV12ads_A10_v5 GPU-geoptimaliseerde VM-grootte Azure

Standard_NV24ads_A10_v5

Standard_NV24ads_A10_v5 GPU-geoptimaliseerde Azure VM-grootte

Standard_NV36ads_A10_v5

Standard_NV36ads_A10_v5 GPU-geoptimaliseerde Azure VM-grootte

Standard_NV36adms_A10_v5

Standard_NV36ads_A10_v5 GPU-geoptimaliseerde Azure VM-grootte

Standard_NV72ads_A10_v5

Standard_NV36ads_A10_v5 GPU-geoptimaliseerde Azure VM-grootte

Standard_ND40rs_v2

Standard_ND40rs_v2 GPU-geoptimaliseerde VM-grootte Azure